Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/StartButton.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/StartButton.java	(revision 835)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/StartButton.java	(revision 836)
@@ -20,10 +20,9 @@
 import org.txm.analec.toolbar.UnitToolbar;
 import org.txm.analec.view.ElementPropertiesView;
 import org.txm.analec.view.ElementSearchView;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
+import org.txm.edition.rcp.editors.ext.ToolbarButton;
 import org.txm.objects.Text;
-import org.txm.synopticedition.*;
-import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
-import org.txm.synopticedition.rcp.editors.ext.ToolbarButton;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -233,7 +232,11 @@
 		return true;
 	}
 
-	private void openToolbar(Class clazz) {
+	/**
+	 * manage the opening of AnnotationToolbar s
+	 * @param clazz
+	 */
+	private void openToolbar(Class<? extends AnnotationToolbar> clazz) {
 		if (utoolbar != null && utoolbar.getClass().equals(clazz)) return;
 		if (utoolbar != null) {
 			closeToolbar();
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java	(revision 835)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java	(revision 836)
@@ -10,10 +10,10 @@
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.analec.AnalecCorpora;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
-import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
 
 import visuAnalec.donnees.Corpus;
 import visuAnalec.fichiers.FichiersJava;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 835)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/UnitToolbar.java	(revision 836)
@@ -35,6 +35,9 @@
 import org.txm.analec.view.ElementPropertiesView;
 import org.txm.analec.widgets.NavigationField;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.edition.rcp.editors.EditionPanel;
+import org.txm.edition.rcp.editors.RGBA;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
 import org.txm.objects.Edition;
 import org.txm.objects.Page;
 import org.txm.objects.Text;
@@ -48,9 +51,6 @@
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.Query;
-import org.txm.synopticedition.rcp.editors.EditionPanel;
-import org.txm.synopticedition.rcp.editors.RGBA;
-import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 835)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/SchemaToolbar.java	(revision 836)
@@ -33,6 +33,9 @@
 import org.txm.analec.view.ElementPropertiesView;
 import org.txm.analec.widgets.NavigationField;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.edition.rcp.editors.EditionPanel;
+import org.txm.edition.rcp.editors.RGBA;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
 import org.txm.objects.Edition;
 import org.txm.objects.Page;
 import org.txm.objects.Text;
@@ -45,9 +48,6 @@
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.Query;
-import org.txm.synopticedition.rcp.editors.EditionPanel;
-import org.txm.synopticedition.rcp.editors.RGBA;
-import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/AnnotationToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/AnnotationToolbar.java	(revision 835)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/AnnotationToolbar.java	(revision 836)
@@ -10,15 +10,15 @@
 import org.eclipse.ui.part.EditorPart;
 import org.txm.analec.toolbarbutton.StartButton;
 import org.txm.analec.view.ElementPropertiesView;
+import org.txm.edition.rcp.editors.EditionPanel;
+import org.txm.edition.rcp.editors.RGBA;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
 import org.txm.objects.Text;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.Query;
-import org.txm.synopticedition.rcp.editors.EditionPanel;
-import org.txm.synopticedition.rcp.editors.RGBA;
-import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.donnees.Corpus;
Index: tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.analec.rcp/META-INF/MANIFEST.MF	(revision 836)
@@ -1,26 +1,19 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui;visibility:=reexport,org.eclipse.core.r
- untime;visibility:=reexport,org.eclipse.jface;visibility:=reexport,or
- g.eclipse.swt;visibility:=reexport,org.eclipse.core.expressions;bundl
- e-version="3.4.600";visibility:=reexport,org.txm.core;bundle-version=
- "0.8.0";visibility:=reexport,org.txm.rcp;bundle-version="0.8.0";visib
- ility:=reexport,org.txm.utils;visibility:=reexport,org.txm.synopticed
- itor.rcp;bundle-version="1.0.0";visibility:=reexport,org.txm.concorda
- nce.core;bundle-version="1.0.0";visibility:=reexport,org.txm.concorda
- nce.rcp;bundle-version="1.0.0";visibility:=reexport,org.txm.progressi
- on.core;bundle-version="1.0.0";visibility:=reexport,org.txm.progressi
- on.rcp;bundle-version="1.0.0";visibility:=reexport,org.txm.chartsengi
- ne.core;bundle-version="1.0.0";visibility:=reexport,org.txm.chartseng
- ine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,org.t
- xm.chartsengine.jfreechart.rcp;bundle-version="1.0.0";visibility:=ree
- xport,org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=
- reexport,org.txm.chartsengine.r.rcp;bundle-version="1.0.0";visibility
- :=reexport,org.txm.chartsengine.raster.rcp;bundle-version="1.0.0";vis
- ibility:=reexport,org.txm.chartsengine.rcp;bundle-version="1.0.0";vis
- ibility:=reexport,org.txm.chartsengine.svgbatik.rcp;bundle-version="1
- .0.0";visibility:=reexport,org.txm.lexicaltable.core;bundle-version="
- 1.0.0";visibility:=reexport,org.txm.lexicaltable.rcp;bundle-version="
- 1.0.0";visibility:=reexport
+Require-Bundle: org.eclipse.ui;visibility:=reexport,
+ org.eclipse.core.runtime;visibility:=reexport,
+ org.eclipse.jface;visibility:=reexport,
+ org.eclipse.swt;visibility:=reexport,
+ org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reexport,
+ org.txm.core;bundle-version="0.8.0";visibility:=reexport,
+ org.txm.rcp;bundle-version="0.8.0";visibility:=reexport,
+ org.txm.utils;visibility:=reexport,
+ org.txm.concordance.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.progression.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.jfreechart.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.r.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.lexicaltable.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.edition.rcp;bundle-version="1.0.0"
 Export-Package: JamaPlus,JamaPlus.util,analecrcp,org.txm.analec,org.tx
  m.analec.commands,org.txm.analec.preferences,org.txm.analec.testers,o
  rg.txm.analec.toolbar,org.txm.analec.toolbarbutton,org.txm.analec.vie
Index: tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCChartEditor.java
===================================================================
--- tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCChartEditor.java	(revision 835)
+++ tmp/org.txm.ahc.rcp/src/org/txm/ahc/rcp/editors/AHCChartEditor.java	(revision 836)
@@ -66,7 +66,7 @@
 	
 
 	@Override
-	public void __createPartControl(Composite parent) {
+	public void __createPartControl() {
 
 		// Extend the chart editor tool bar
 		new ToolItem(this.chartToolBar, SWT.SEPARATOR);
Index: tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java	(revision 835)
+++ tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java	(revision 836)
@@ -3,12 +3,16 @@
 
 import java.io.BufferedReader;
 import java.io.File;
+import java.net.MalformedURLException;
+import java.net.URL;
 import java.util.Properties;
 
 import org.eclipse.core.runtime.preferences.DefaultScope;
 import org.osgi.framework.FrameworkUtil;
+import org.osgi.framework.Version;
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
+import org.txm.utils.BundleUtils;
 import org.txm.utils.io.IOUtils;
 
 /**
@@ -25,9 +29,17 @@
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(TreeTaggerPreferences.class).getSymbolicName();
 	
 	public static final String PREFERENCES_PREFIX = "treetagger_"; //$NON-NLS-1$
-	
 
 	/**
+	 * contains the last bundle version setting the TreeTagger binariesl directory
+	 */
+	public static final String INSTALLED_BINARIES_VERSION = PREFERENCES_PREFIX + "installed_binaries_version"; //$NON-NLS-1$
+	/**
+	 * contains the last bundle version setting the TreeTagger models directory
+	 */
+	public static final String INSTALLED_MODELS_VERSION = PREFERENCES_PREFIX + "installed_models_version"; //$NON-NLS-1$
+	
+	/**
 	 * Installation path.
 	 */
 	public static final String INSTALL_PATH = PREFERENCES_PREFIX + "install_path"; //$NON-NLS-1$
@@ -41,12 +53,10 @@
 	
 	public static final String FIX_APOSTROPHES = PREFERENCES_PREFIX + "fix_apostrophes"; //$NON-NLS-1$
 
-
-	
 	@Override
 	public void initializeDefaultPreferences() {
 
-		// Default preferences
+		// Default preferences if no org.txm.treetagger.core fragment is found
 		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
 		
 		String installPath = "/usr/lib/treetagger"; //"System.getProperty("osgi.user.area") + "/TXM/treetagger"; //$NON-NLS-1$ //$NON-NLS-2$
@@ -60,35 +70,97 @@
 		preferences.put(MODELS_PATH, installPath + "/models"); //$NON-NLS-1$
 		preferences.putBoolean(FIX_APOSTROPHES, false);
 
-		
 		// FIXME: need to validate this code + need to check if it's still useful
+		String bversion = TXMPreferences.getString(INSTALLED_BINARIES_VERSION, PREFERENCES_NODE);
+		String mversion = TXMPreferences.getString(INSTALLED_MODELS_VERSION, PREFERENCES_NODE);
 		
-		// Restore previous TreeTagger preferences
-		File previousPreferenceFile = new File(System.getProperty("java.io.tmpdir"), "org.txm.rcp.prefs"); //$NON-NLS-1$ //$NON-NLS-2$
+		// if TXM is launch for the first time bversion and mversion valus are empty
+		if (bversion == null || bversion.equals("") || mversion == null || mversion.equals("")) {
+			
+			// Restore previous TreeTagger preferences
+			File previousPreferenceFile = new File(System.getProperty("java.io.tmpdir"), "org.txm.rcp.prefs"); //$NON-NLS-1$ //$NON-NLS-2$
 
-		if (System.getProperty("os.name").indexOf("Mac") >= 0) { //$NON-NLS-1$ //$NON-NLS-2$
-			previousPreferenceFile = new File("/tmp/org.txm.rcp.prefs"); //$NON-NLS-1$
-		}
+			if (System.getProperty("os.name").indexOf("Mac") >= 0) { //$NON-NLS-1$ //$NON-NLS-2$
+				previousPreferenceFile = new File("/tmp/org.txm.rcp.prefs"); //$NON-NLS-1$
+			}
 
-		if (previousPreferenceFile.exists()) {
-			try {
-				System.out.println("Restoring preferences (from " + previousPreferenceFile + ")."); //$NON-NLS-1$ //$NON-NLS-2$
-				Properties previousProperties = new Properties();
-				BufferedReader reader = IOUtils.getReader(previousPreferenceFile, "ISO-8859-1"); //$NON-NLS-1$
-				previousProperties.load(reader);
-				
-				String [] keys= {INSTALL_PATH, MODELS_PATH, OPTIONS};
-				for (String k : keys) {
-					if (previousProperties.getProperty(k) != null) {
-						TreeTaggerPreferences.put(PREFERENCES_NODE, k, previousProperties.getProperty(k));
+			if (previousPreferenceFile.exists()) {
+				try {
+					System.out.println("Restoring preferences (from " + previousPreferenceFile + ")."); //$NON-NLS-1$ //$NON-NLS-2$
+					Properties previousProperties = new Properties();
+					BufferedReader reader = IOUtils.getReader(previousPreferenceFile, "ISO-8859-1"); //$NON-NLS-1$
+					previousProperties.load(reader);
+					
+					String [] keys= {INSTALL_PATH, MODELS_PATH, OPTIONS};
+					for (String k : keys) {
+						if (previousProperties.getProperty(previousProperties.getProperty(k)) != null) {
+							preferences.put(k, installPath);
+							TreeTaggerPreferences.put(PREFERENCES_NODE, k, previousProperties.getProperty(k));
+						}
 					}
 				}
+				catch (Exception e) {
+					e.printStackTrace();
+				}
 			}
-			catch (Exception e) {
+			
+			TreeTaggerPreferences.put(PREFERENCES_NODE, INSTALLED_BINARIES_VERSION, "0.0.0");
+			TreeTaggerPreferences.put(PREFERENCES_NODE, INSTALLED_MODELS_VERSION, "0.0.0");
+			
+			bversion = TXMPreferences.getString(INSTALLED_BINARIES_VERSION, PREFERENCES_NODE);
+			mversion = TXMPreferences.getString(INSTALLED_MODELS_VERSION, PREFERENCES_NODE);
+		}
+		
+		// look for org.txm.treetagger.core.<osname> fragment
+		String mfragmentid = "org.txm.treetagger.core.models";
+		String bfragmentid = "org.txm.treetagger.core";
+		String osname = System.getProperty("os.name").toLowerCase();
+		if (osname.contains("windows")) {
+			osname = "win32";
+		} else if (osname.contains("macosx")) {
+			osname = "macosx";
+		} else {
+			osname = "linux";
+		}
+		bfragmentid += "."+osname;
+		
+		Version currentBVersion = new Version(bversion);
+		Version currentMVersion = new Version(mversion);
+		Version binariesFragmentVersion = BundleUtils.getBundleVersion(bfragmentid);
+		if (binariesFragmentVersion != null && binariesFragmentVersion.compareTo(currentBVersion) >= 0) { // udpate binaries path !
+			System.out.print("Updating TreeTagger binaries path...");
+			try {
+				URL dir = new URL(BundleUtils.getBundleLocation(bfragmentid));
+				String path = dir.getPath();
+				if (path.startsWith("file:")) path = path.substring(5);
+				File binariesDir = new File(path, "res/"+osname);
+				new File(binariesDir, "bin/separate-punctuation").setExecutable(true); // linux&mac
+				new File(binariesDir, "bin/tree-tagger").setExecutable(true); // linux&mac
+				new File(binariesDir, "bin/train-tree-tagger").setExecutable(true); // linux&mac
+				preferences.put(INSTALL_PATH, binariesDir.getAbsolutePath());
+				TreeTaggerPreferences.put(PREFERENCES_NODE, INSTALLED_BINARIES_VERSION, binariesFragmentVersion.toString());
+				System.out.println("Done.");
+			} catch (MalformedURLException e) {
+				// TODO Auto-generated catch block
 				e.printStackTrace();
 			}
 		}
-
+		
+		Version modelsFragmentVersion = BundleUtils.getBundleVersion(mfragmentid);
+		if (modelsFragmentVersion != null && modelsFragmentVersion.compareTo(currentMVersion) >= 0) { // udpate models path!
+			System.out.print("Updating TreeTagger models path...");
+			try {
+				URL dir = new URL(BundleUtils.getBundleLocation(mfragmentid));
+				String path = dir.getPath();
+				if (path.startsWith("file:")) path = path.substring(5);
+				File modelsDir = new File(path, "res/models");
+				preferences.put(MODELS_PATH, modelsDir.getAbsolutePath()); //$NON-NLS-1$
+				TreeTaggerPreferences.put(PREFERENCES_NODE, INSTALLED_MODELS_VERSION, modelsFragmentVersion.toString());
+				System.out.println("Done.");
+			} catch (MalformedURLException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+		}
 	}
-	
 }
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 835)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 836)
@@ -99,7 +99,7 @@
 	
 	
 	@Override
-	public void _createPartControl(Composite parent) {
+	public void _createPartControl() {
 
 		try {
 
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 835)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 836)
@@ -37,7 +37,7 @@
 
 	
 	@Override
-	public void __createPartControl(Composite parent) {
+	public void __createPartControl() {
 		
 		// Group bars by lines
 		groupBarsByLines = new ToolItem(this.getToolBar(), SWT.CHECK);
Index: tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java
===================================================================
--- tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 835)
+++ tmp/org.txm.information.rcp/src/org/txm/properties/rcp/editors/PropertiesEditor.java	(revision 836)
@@ -64,7 +64,7 @@
 
 
 	@Override
-	public void _createPartControl(Composite parent) {
+	public void _createPartControl() {
 
 		Composite parametersArea = this.getExtendedParametersComposite();
 
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 835)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 836)
@@ -38,7 +38,7 @@
 	
 	
 	@Override
-	public void __createPartControl(Composite parent) {
+	public void __createPartControl() {
 
 		// for group tests
 		Composite parametersArea = this.getExtendedParametersComposite();
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 835)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 836)
@@ -90,7 +90,7 @@
 
 	
 	@Override
-	public void _createPartControl(Composite parent) {
+	public void _createPartControl() {
 
 		internalView = this.getResult();
 
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java	(revision 835)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java	(revision 836)
@@ -30,7 +30,7 @@
 
 	
 	@Override
-	public void __createPartControl(Composite parent) {
+	public void __createPartControl() {
 
 		// extend the tool bar
 		new ToolItem(this.getToolBar(), SWT.SEPARATOR);
Index: tmp/org.txm.synopticeditor.feature/.project
===================================================================
--- tmp/org.txm.synopticeditor.feature/.project	(revision 835)
+++ tmp/org.txm.synopticeditor.feature/.project	(revision 836)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>org.txm.synopticeditor.feature</name>
+	<name>org.txm.edition.feature</name>
 	<comment></comment>
 	<projects>
 	</projects>
Index: tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 836)
@@ -142,10 +142,10 @@
 Bundle-ClassPath: lib/dom4j-1.6.1.jar,lib/log4j-1.2.12.jar,lib/TigerSe
  arch.jar,.
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: TIGERSearch
+Bundle-Name: org.txm.tigersearch.rcp
 Bundle-ManifestVersion: 2
 Bundle-Activator: tigersearch4txm.Activator
-Bundle-SymbolicName: TIGERSearchRCP;singleton:=true
+Bundle-SymbolicName: org.txm.tigersearch.rcp;singleton:=true
 Import-Package: ims.tiger.gui.tigergraphviewer.forest
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 835)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 836)
@@ -41,8 +41,6 @@
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.custom.ScrolledComposite;
 import org.eclipse.swt.custom.StyledText;
-import org.eclipse.swt.events.ControlAdapter;
-import org.eclipse.swt.events.ControlEvent;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.MouseAdapter;
@@ -52,7 +50,6 @@
 import org.eclipse.swt.graphics.Font;
 import org.eclipse.swt.graphics.FontData;
 import org.eclipse.swt.graphics.Point;
-import org.eclipse.swt.graphics.Rectangle;
 import org.eclipse.swt.layout.FormAttachment;
 import org.eclipse.swt.layout.FormData;
 import org.eclipse.swt.layout.FormLayout;
@@ -455,63 +452,44 @@
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
-	public void _createPartControl(final Composite parent) {
+	public void _createPartControl() {
 		
-		FormLayout parentLayout = new FormLayout();
-		parent.setLayout(parentLayout);
+//		//create scrollable area
+//		scrollComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.NONE);
+//		FormData headLayoutData = new FormData();
+//		headLayoutData.top = new FormAttachment(0, 0);
+//		headLayoutData.left = new FormAttachment(0);
+//		headLayoutData.right = new FormAttachment(100);
+//		scrollComposite.setLayoutData(headLayoutData);
+//		scrollComposite.setLayout(new FormLayout());
+//
+//		headComposite = new Composite(scrollComposite, SWT.NONE);
+//		headLayoutData = new FormData();
+//		headLayoutData.top = new FormAttachment(0);
+//		headLayoutData.bottom = new FormAttachment(100);
+//		headLayoutData.left = new FormAttachment(0);
+//		headLayoutData.right = new FormAttachment(100);
+//		headComposite.setLayoutData(headLayoutData);
+//		headComposite.setLayout(new FormLayout());
+//
+//		scrollComposite.setContent(headComposite);
+//		scrollComposite.setExpandVertical(true);
+//		scrollComposite.setExpandHorizontal(true);
+//		scrollComposite.addControlListener(new ControlAdapter() {
+//			@Override
+//			public void controlResized(ControlEvent e) {
+//				Rectangle r = scrollComposite.getClientArea();
+//				scrollComposite.setMinSize(headComposite.computeSize(
+//						SWT.DEFAULT, SWT.DEFAULT));
+//			}
+//		});
 
-		//create scrollable area
-		scrollComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.NONE);
-		FormData headLayoutData = new FormData();
-		headLayoutData.top = new FormAttachment(0, 0);
-		headLayoutData.left = new FormAttachment(0);
-		headLayoutData.right = new FormAttachment(100);
-		scrollComposite.setLayoutData(headLayoutData);
-		scrollComposite.setLayout(new FormLayout());
+		final Composite paramArea = getExtendedParametersComposite();
 
-		headComposite = new Composite(scrollComposite, SWT.NONE);
-		headLayoutData = new FormData();
-		headLayoutData.top = new FormAttachment(0);
-		headLayoutData.bottom = new FormAttachment(100);
-		headLayoutData.left = new FormAttachment(0);
-		headLayoutData.right = new FormAttachment(100);
-		headComposite.setLayoutData(headLayoutData);
-		headComposite.setLayout(new FormLayout());
-
-		scrollComposite.setContent(headComposite);
-		scrollComposite.setExpandVertical(true);
-		scrollComposite.setExpandHorizontal(true);
-		scrollComposite.addControlListener(new ControlAdapter() {
-			@Override
-			public void controlResized(ControlEvent e) {
-				Rectangle r = scrollComposite.getClientArea();
-				scrollComposite.setMinSize(headComposite.computeSize(
-						SWT.DEFAULT, SWT.DEFAULT));
-			}
-		});
-
-		final Composite paramArea = new Composite(headComposite, SWT.NONE);
-		FormData paramLayoutData = new FormData();
-		paramLayoutData.top = new FormAttachment(0);
-		paramLayoutData.left = new FormAttachment(0);
-		paramLayoutData.right = new FormAttachment(100);
-		paramArea.setLayoutData(paramLayoutData);
-
 		// info&navigation panel
-		final Composite infosArea = new Composite(headComposite, SWT.NONE);
-		FormData infosLayoutData = new FormData();
-		infosLayoutData.top = new FormAttachment(paramArea, 0);
-		infosLayoutData.left = new FormAttachment(0);
-		infosLayoutData.right = new FormAttachment(100);
-		infosArea.setLayoutData(infosLayoutData);
+		final Composite infosArea = getBottomToolbar().installGLComposite("infos", 1, false);
 
-		Composite resultArea = new Composite(parent, SWT.NONE);
-		FormData resultLayoutData = new FormData();
-		resultLayoutData.top = new FormAttachment(scrollComposite, 0);
-		resultLayoutData.left = new FormAttachment(0);
-		resultLayoutData.right = new FormAttachment(100);
-		resultLayoutData.bottom = new FormAttachment(100);
-		resultArea.setLayoutData(resultLayoutData);
+		Composite resultArea = getResultArea();
 
 		// compose paramArea
 		FormLayout paramLayout = new FormLayout();
@@ -998,7 +976,7 @@
 		initializeFields();
 		createContextMenu(viewer);
 		viewer.getTable().pack();
-		parent.layout(true);
+		layout(true);
 		//System.out.println("Part control done.");
 	}
 
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 835)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TIGERSearchEditor.java	(revision 836)
@@ -65,7 +65,7 @@
 	private boolean isStored = false;
 
 	@Override
-	public void _createPartControl(Composite parent) {
+	public void _createPartControl() {
 
 		// System.out.println(parent.getLayout());
 		Composite queryPanel = this.getExtendedParametersComposite();
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 835)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 836)
@@ -158,7 +158,7 @@
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
-	public void _createPartControl(Composite parent) {
+	public void _createPartControl() {
 
 		
 		this.index = (Index) this.getResult();
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java	(revision 835)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/DictionnaryEditor.java	(revision 836)
@@ -17,8 +17,8 @@
 	 * @see org.txm.rcp.editors.index.IndexEditor#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
-	public void _createPartControl(final Composite parent) {
-		super._createPartControl(parent);
+	public void _createPartControl() {
+		super._createPartControl();
 		
 		this.propertiesSelector.setMaxPropertyNumber(1);
 		this.queryWidget.setText("[]"); //$NON-NLS-1$
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 835)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 836)
@@ -196,7 +196,7 @@
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
-	public void _createPartControl(final Composite parent) {
+	public void _createPartControl() {
 
 		// FormLayout parentLayout = new FormLayout();
 		// parent.setLayout(parentLayout);
Index: tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.libs.cqp/META-INF/MANIFEST.MF	(revision 836)
@@ -8,3 +8,4 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.libs.cqp
+Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 835)
+++ tmp/org.txm.core/src/java/org/txm/utils/BundleUtils.java	(revision 836)
@@ -24,7 +24,7 @@
 	public static Version getBundleVersion(String bundle_id) {
 		Bundle bundle = Platform.getBundle(bundle_id);
 		if (bundle == null) {
-			System.out.println("Error while initializing "+bundle_id+" plugin: bundle not found.");
+			//System.out.println("Error while initializing "+bundle_id+" plugin: bundle not found.");
 			return null;
 		}
 		return bundle.getVersion();
@@ -38,7 +38,7 @@
 	public static String getBundleLocation(String bundle_id) {
 		Bundle bundle = Platform.getBundle(bundle_id);
 		if (bundle == null) {
-			System.out.println("Error while initializing Oriflamms plugin: bundle not found.");
+			//System.out.println("Error while initializing Oriflamms plugin: bundle not found.");
 			return null;
 		}
 		return bundle.getLocation();
Index: tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java
===================================================================
--- tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java	(revision 835)
+++ tmp/org.txm.textsbalance.rcp/src/org/txm/textsbalance/rcp/editors/TextsBalanceEditor.java	(revision 836)
@@ -53,7 +53,7 @@
 	
 	
 	@Override
-	public void __createPartControl(Composite parent) {
+	public void __createPartControl() {
 		
 		if (((TextsBalance)this.getResult()).getCorpus() == null) {
 			System.out.println("Error: no corpus");
